Authorize

Initiates the OAuth 2.0 authorization flow by redirecting users to authorize your application.

After the user authorizes your application, they will be redirected to your redirect_uri with the authorization code as a query parameter.

Example Usage:

https://connect.digits.com/v1/oauth/authorize?response_type=code &client_id=<your_client_id_here> &redirect_uri=<valid_redirect_url> &scope=source%3Async%20ledger%3Aread%20documents%3Awrite &state=<random_state_string>

Redirect Response: After authorization, the user will be redirected to:

https://yourapp.com/oauth/callback?code=base64_encoded_authorization_code&state=random_state_string
Query Params
string
enum
required

Must be set to "code" for authorization code grant type

Allowed:
string
required

Your application's Client ID from the Digits developer portal

uri
required

Must exactly match one of your registered redirect URIs

string
required

Space-separated list of requested scopes:

  • source:sync - Write ledger data to Digits
  • ledger:read - Read ledger data from Digits
  • documents:write - Upload and manage documents
string

Random string to prevent CSRF attacks. Highly recommended for security.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
text/plain